> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user access token. New password used only for users who need to update it.



## OpenAPI

````yaml /openapi.json post /users/get_token
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /users/get_token:
    post:
      tags:
        - users
      summary: >-
        Get user access token. New password used only for users who need to
        update it.
      operationId: get_token_users_get_token_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokenRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeycloakToken'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TokenRequest:
      properties:
        username:
          type: string
          title: Username
        password:
          type: string
          format: password
          title: Password
          writeOnly: true
        tenant_name:
          type: string
          title: Tenant Name
        new_password:
          anyOf:
            - type: string
              format: password
              writeOnly: true
            - type: 'null'
          title: New Password
      type: object
      required:
        - username
        - password
        - tenant_name
      title: TokenRequest
    KeycloakToken:
      properties:
        access_token:
          type: string
          title: Access Token
      type: object
      required:
        - access_token
      title: KeycloakToken
      description: |-
        Keycloak representation of a token object

        Attributes:
            access_token (str): An access token
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````